package com.ss.android.ugc.aweme.commerce.tools.common.record;

import X.0CB;
import X.0CH;
import X.78Q;
import X.FQC;
import X.FQU;
import X.M12;
import com.bytedance.covode.number.Covode;

public final class CommerceToolsRecordScene implements FQU {
    static {
        Covode.recordClassIndex(58057);
    }

    public final void LIZ(FQC fqc) {
        M12.LIZ(fqc);
    }

    public final void onStateChanged(0CH r3, 0CB r4) {
        M12.LIZ(r3, r4);
        if (r4 == 0CB.ON_DESTROY) {
            78Q.LIZJ.setInCommercialSoundPage(false);
        }
    }
}
